Index: src/prelude/prelude.cf
===================================================================
--- src/prelude/prelude.cf	(revision 8053d2c93f63acf13a8ce75ad0fb9311f6d22a12)
+++ src/prelude/prelude.cf	(revision cf966b55ed3bd25f2fa0711a1114e05eaf36716a)
@@ -403,24 +403,4 @@
 forall( dtype DT ) const volatile DT *  ?=?( const volatile  DT * volatile &, const volatile	DT * );
 
-forall( dtype DT ) DT *			?=?(		     DT *	   &,			void * );
-forall( dtype DT ) DT *			?=?(		     DT * volatile &,			void * );
-forall( dtype DT ) const DT *		?=?( const	     DT *	   &,			void * );
-forall( dtype DT ) const DT *		?=?( const	     DT * volatile &,			void * );
-forall( dtype DT ) const DT *		?=?( const	     DT *	   &, const		void * );
-forall( dtype DT ) const DT *		?=?( const	     DT * volatile &, const		void * );
-forall( dtype DT ) volatile DT *	?=?(	   volatile  DT *	   &,			void * );
-forall( dtype DT ) volatile DT *	?=?(	   volatile  DT * volatile &,			void * );
-forall( dtype DT ) volatile DT *	?=?(	   volatile  DT *	   &,	    volatile	void * );
-forall( dtype DT ) volatile DT *	?=?(	   volatile  DT * volatile &,	    volatile	void * );
-
-forall( dtype DT ) const volatile DT *	?=?( const volatile  DT *	   &,			void * );
-forall( dtype DT ) const volatile DT *	?=?( const volatile  DT * volatile &,			void * );
-forall( dtype DT ) const volatile DT *	?=?( const volatile  DT *	   &, const		void * );
-forall( dtype DT ) const volatile DT *	?=?( const volatile  DT * volatile &, const		void * );
-forall( dtype DT ) const volatile DT *	?=?( const volatile  DT *	   &,	    volatile	void * );
-forall( dtype DT ) const volatile DT *	?=?( const volatile  DT * volatile &,	    volatile	void * );
-forall( dtype DT ) const volatile DT *	?=?( const volatile  DT *	   &, const volatile	void * );
-forall( dtype DT ) const volatile DT *	?=?( const volatile  DT * volatile &, const volatile	void * );
-
 forall( dtype DT ) void *		 ?=?(		     void *	     &,			DT * );
 forall( dtype DT ) void *		 ?=?(		     void * volatile &,			DT * );
@@ -441,23 +421,4 @@
 forall( dtype DT ) const volatile void * ?=?( const volatile void *	     &, const volatile	DT * );
 forall( dtype DT ) const volatile void * ?=?( const volatile void * volatile &, const volatile	DT * );
-
-void *			?=?(		    void *	    &,		      void * );
-void *			?=?(		    void * volatile &,		      void * );
-const void *		?=?( const	    void *	    &,		      void * );
-const void *		?=?( const	    void * volatile &,		      void * );
-const void *		?=?( const	    void *	    &, const	      void * );
-const void *		?=?( const	    void * volatile &, const	      void * );
-volatile void *		?=?(	   volatile void *	    &,		      void * );
-volatile void *		?=?(	   volatile void * volatile &,		      void * );
-volatile void *		?=?(	   volatile void *	    &,	     volatile void * );
-volatile void *		?=?(	   volatile void * volatile &,	     volatile void * );
-const volatile void *	?=?( const volatile void *	    &,		      void * );
-const volatile void *	?=?( const volatile void * volatile &,		      void * );
-const volatile void *	?=?( const volatile void *	    &, const	      void * );
-const volatile void *	?=?( const volatile void * volatile &, const	      void * );
-const volatile void *	?=?( const volatile void *	    &,	     volatile void * );
-const volatile void *	?=?( const volatile void * volatile &,	     volatile void * );
-const volatile void *	?=?( const volatile void *	    &, const volatile void * );
-const volatile void *	?=?( const volatile void * volatile &, const volatile void * );
 
 //forall( dtype DT ) DT *			?=?(		    DT *	  &, zero_t );
@@ -781,15 +742,4 @@
 forall( dtype DT ) void ?{}( const volatile  DT *	   &, const volatile	DT * );
 
-forall( dtype DT ) void ?{}(		     DT *	   &,			void * );
-forall( dtype DT ) void ?{}( const	     DT *	   &,			void * );
-forall( dtype DT ) void ?{}( const	     DT *	   &, const		void * );
-forall( dtype DT ) void ?{}(	   volatile  DT *	   &,			void * );
-forall( dtype DT ) void ?{}(	   volatile  DT *	   &,	    volatile	void * );
-
-forall( dtype DT ) void ?{}( const volatile  DT *	   &,			void * );
-forall( dtype DT ) void ?{}( const volatile  DT *	   &, const		void * );
-forall( dtype DT ) void ?{}( const volatile  DT *	   &,	    volatile	void * );
-forall( dtype DT ) void ?{}( const volatile  DT *	   &, const volatile	void * );
-
 forall( dtype DT ) void ?{}(		     void *	     &,			DT * );
 forall( dtype DT ) void ?{}( const	     void *	     &,			DT * );
@@ -802,14 +752,4 @@
 forall( dtype DT ) void ?{}( const volatile void *	     &, const volatile	DT * );
 
-void 	?{}(		    void *	    &,		      void * );
-void 	?{}( const	    void *	    &,		      void * );
-void 	?{}( const	    void *	    &, const	      void * );
-void 	?{}(	   volatile void *	    &,		      void * );
-void 	?{}(	   volatile void *	    &,	     volatile void * );
-void 	?{}( const volatile void *	    &,		      void * );
-void 	?{}( const volatile void *	    &, const	      void * );
-void 	?{}( const volatile void *	    &,	     volatile void * );
-void 	?{}( const volatile void *	    &, const volatile void * );
-
 //forall( dtype DT ) void ?{}(		    DT *	  &, zero_t );
 //forall( dtype DT ) void ?{}(		    DT * volatile &, zero_t );
